varying vec3 normal, lightDir, lvec, ldir, halfVector;

varying vec2 texcoord;

uniform sampler2D s_texture_0;
uniform sampler2D s_texture_1;
	
void main()
{
	vec4 base = texture2D(s_texture_0, texCoord);

	vec3 bump = normalize(texture2D(s_texture_1, texcoord).xyz * 2.0 - 1.0);

	float diffuse = dot(normalize(lVec), bump);

	gl_FragColor = diffuse * base;






//	vec4 diffuseLight, specularLight;	
//	float shine = 84.0;
//	vec3 n = normalize(normal);

//	float lightIntensity = max(dot(n, normalize(lightDir)), 0.0);

//	diffuseLight = lightIntensity * gl_LightSource[0].diffuse;
//	specularLight = pow(max(dot(n, normalize(halfVector)), 0.0), shine) * gl_LightSource[0].specular;

//	gl_FragColor = texture2D(s_texture_0,gl_TexCoord[0].st) * (diffuseLight + specularLight + gl_LightSource[0].ambient);

//	gl_FragColor = (diffuseLight + specularLight + gl_LightSource[0].ambient)*1;
}