attribute vec3 s_normal;
attribute vec3 s_tangent;
attribute vec3 s_binormal;
attribute vec2 s_texcoord;

varying vec3 normal, lightDir, ldir, halfVector;
	
void main()
{	
	vec4 worldPos;


	gl_TexCoord[0] = vec4(s_texcoord, 0.0 ,1.0);

	normal = normalize(gl_NormalMatrix * s_normal);
		
	worldPos = gl_ModelViewMatrix * gl_Vertex;
	lightDir = normalize(vec3(gl_LightSource[0].position - worldPos));

//	ldir.x = dot(lightDir, s_normal);
//	ldir.y = dot(lightDir, s_normal);
//	ldir.z = dot(lightDir, s_normal);
	
	halfVector = normalize(gl_LightSource[0].halfVector.xyz);
	
	gl_Position = ftransform();
} 


